@charset "utf-8";

/***********************************************/
/* Header Divs                              */
/***********************************************/

/* acronym text deco -> none */
acronym {
  text-decoration: none;
}

#header {
  /* background-color: #0c213a; */
  /* background-image: url("../edgar/search/images/bigeagle.png"); */
  background-repeat: no-repeat;
  background-position: top right;
  /* color: white; */
  padding-bottom: 1px;
}
#main-navbar {
  flex-wrap: wrap;
}

.nav__sec_link {
  color: #ffffff;
  text-decoration: none;
  font-family: 'Raleway', sans-serif;
  padding: 0.8rem 0 0;
  display: block;
}

.nav__sec_link .link-text {
  padding-right: 1rem;
  padding-left: 0.5rem;
  margin-left: 1rem;
  letter-spacing: 0;
  line-height: 7rem;
  /* border-right: 2px solid #707982; */
}

.nav__link {
  color: #ffffff;
  text-decoration: none;
  font-family: 'Raleway', sans-serif;
  padding: 0.8rem 0 0;
  margin: 0 1rem 0 0.5rem;
  display: block;
}

.nav__link .link-text {
  padding-left: 0.6rem;
  padding-right: 1.5rem;
  letter-spacing: 0;
  line-height: 7rem;
}

.nav__link:hover,
.nav__link:focus,
.nav__sec_link:hover .link-text,
.nav__sec_link:focus .link-text {
  color: #ffffff;
  text-decoration: underline;
}

.d-inline {
  display: inline !important;
}

#headerTop {
  /* background-image: url(../images/bannerBack.gif); */
  background-repeat: repeat-x;
  background-position: left;
  height: 93px;
  margin: 0px;
  padding: 0px;
  width: 100%;
}
#headerTop #seal {
  height: 93px;
  width: 298px;
  float: left;
}
#headerTop #Nav {
  float: right;
  width: 300px;
  margin-top: 14px;
  font-size: 13px;
  color: #cccccc;
  margin-right: 3px;
  display: block;
  clear: right;

  text-align: right;
}

#headerTop #Nav a:link,
#headerTop #Nav a:visited,
#headerTop #Nav a:active {
  color: #cccccc;
  text-decoration: none;
}

#headerTop #Nav a:hover {
  color: #cccccc;
  text-decoration: underline;
}

#secWordGraphic {
  float: right;
  right: 8px;
  width: 393px;
  height: 28px;
  clear: right;
  margin-top: 19px;
}
#secBetaGraphic {
  float: right;
  right: 8px;
  width: 219px;
  height: 46px;
  margin-top: 19px;
  border-style: none;
}

#headerBottom {
  /* background-image: url(../images/sealBot.gif); */
  background-repeat: no-repeat;
  background-position: top left;
  height: 64px;
  padding-bottom: 5px;
}
#PageTitle {
  font-size: 18px;
  font-weight: bold;
  /* color: #000099; */
  margin-left: 160px;
  padding-top: 25px;
}

#searchHome {
  float: right;
  font-size: 10px;
  width: 150px;
  margin: 15px 10px 0 0;
}

#searchHome a {
  text-decoration: underline;
  color: #005ea2;

  font-size: 12px;
}
#searchHome a:active {
  text-decoration: underline;
  color: #005ea2;

  font-size: 12px;
}
#searchHome a:visited {
  text-decoration: underline;
  /* color: #54278f; */

  font-size: 12px;
}

#searchHome a:hover {
  text-decoration: underline;
  color: #005ea2;
}

#ideaLogo {
  float: right;
  width: 150px;
  height: 64px;
}

/***********************************************/
/* Breadcrumb Divs                              */
/***********************************************/

#breadCrumbs {
  margin: 15px 0 5px 0px;
  position: relative;
  /*border-top-width: 1px;
	border-bottom-width: 1px;
	border-top-style: solid;
	border-top-color: #Bcd6f8;
	border-bottom-color: #Bcd6f8;
	border-bottom-style: solid;*/
  font-size: 14px;
  font-weight: bold;
  color: #ffffff;
}
.alert {
  font-size: 15px;
  color: #cc3300;
  font-weight: bold;
}
.alert p {
  font-size: 12px;
}

#breadCrumbs ul {
  padding-left: 20px;
  display: inline;
  margin: 0px;
}
#breadCrumbs li {
  display: inline;
  padding-left: 2px;
}
#breadCrumbs ul li.last {
  font-style: italic;
}

/***********************************************/
/* CONTENT                             */
/***********************************************/

#contentDiv {
  font-size: 13px;
  margin-top: 15px;
  margin-right: 20px;
  margin-bottom: 0px;
  margin-left: 20px;
}

#contentDiv a {
  /* color: #ffffff; */
  color: #0071eb;
  z-index: 100;
}

#breadCrumbs a {
  color: #ffffff;
  /* color: #0071eb; */
  z-index: 100;
}
#contentDiv a:visited,
#contentDiv a:active {
  text-decoration: underline;
  /* color: #54278f; */
}
#contentDiv a:hover,
#breadCrumbs a {
  text-decoration: underline;
}
/***********************************************/
/* DOCUMENTS BUTTON                            */

/***********************************************/

#interactiveDataBtn,
#interactiveDataBtn:hover {
  text-decoration: none !important;
}

#seriesDiv #interactiveDataBtn button,
#menu #menu_cat1 button {
  font-size: 13px;
  padding: 1px 4px;
  /* color-background: #007bff; */
}
#seriesDiv #interactiveDataBtn button {
  color: #fff;
  /* background-color: #0c616e; */
  /* border-color: #0c616e; */
}
#seriesDiv #interactiveDataBtn button:hover {
  color: #fff;
  /* background-color: #17a2b8; */
  /* border-color: #17a2b8; */
}

/*#seriesDiv #interactiveDataBtn:visited
{ 
  clear:none;
  color:#FFFFFF;
  background-image: url(../images/visited_interactive_data_buttonbg.gif);
  text-decoration:none;
  padding:1px 9px 9px 3px;
  font-family:tahoma;
  background-repeat:no-repeat;
}*/

#seriesDiv #voluntaryIntDataBtn {
  width: 82px;
  height: 20px;
  font-size: 10px;
  color: #000000;
  /* background-image: url(../images/voluntary_int_data_bg.gif); */
  text-decoration: none;
  padding: 1px 9px 9px 3px;
  font-family: tahoma;
  background-repeat: no-repeat;
}
#seriesDiv #voluntaryIntDataBtn:visited {
  clear: none;
  color: #000000;
  /* background-image: url(../images/visited_voluntary_int_data_bg.gif); */
  text-decoration: none;
  padding: 1px 9px 9px 3px;
  font-family: tahoma;
  background-repeat: no-repeat;
}
#seriesDiv #voluntaryIntDataBtn:hover {
  color: #000000;
  /* background-image: url(../images/voluntary_int_data_bg.gif); */
  text-decoration: none;
  padding: 1px 9px 9px 3px;
  font-family: tahoma;
  background-repeat: no-repeat;
}

#searchTips {
  float: left;
  margin-right: 20px;
  width: 150px;
  height: auto;
}

.legend {
  background-color: #fad549;
  font-size: 9px;
  padding: 0px;
}

/***********************************************/
/* Filer Company Divs                              */
/***********************************************/

.filerDiv {
  margin: 15px 20px 10px 0px;
  /* background-color: rgba(0, 0, 0, 0.03); */
  border: 1px solid rgba(0, 0, 0, 0.125);
  padding: 5px;
  overflow: hidden;
  width: 100%;
  clear: both;
}

.companyInfo {
}

.companyInfo .companyName {
  font-size: 15px;
  font-weight: bold;
  display: block;
  padding-bottom: 5px;
}

.companyInfo .companyName .cikLabel {
  font-size: 15px;
  font-weight: normal;
}

.companyInfo p {
  display: block;
  margin: 0px;
}

.mailer {
  font-size: 12px;
  float: right;
  width: 20%;
  padding: 0px;
}
.mailerAddress {
  font-style: italic;
  display: block;
  text-transform: uppercase;
}

.clear {
  clear: both;
  line-height: 0;
  font-size: 0;
}

#jsonDataLink {
  font-size: 14px;
  margin: 10px 6px 10px 6px;
  float: right;
}
/***********************************************/
/* Form Information Divs                       */
/***********************************************/

.formDiv {
  margin: 5px 0px 0px 0px;
  /* background-color: #F3F8FF; */
  overflow: hidden;
  border: 1px solid rgba(0, 0, 0, 0.125);
  clear: both;
  /*float:left;*/
  width: 100%;
  position: relative;
  word-wrap: break-word;
}
.formDiv #formHeader {
  font-size: 14px;
  /* background-color: #0D2239; */
  /* color: #FFFFFF; */
  padding: 3px 0px 3px 10px;
  height: 18px;
  padding-bottom: 25px;
}
.formDiv ul {
  margin: 0;
  list-style-type: none;
}
.formDiv div p {
  margin-top: 7px;
  margin-bottom: 4px;
  font-weight: bold;
}
#formDivPreviewer {
  left: 4px;
  margin: 2px;

  padding: 3px;
  /* background-color: #F5F5EB; */
  overflow: hidden;
  border: 1px solid #ffcc33;
  clear: both;

  float: left;

  width: 189px;

  position: relative;

  word-wrap: break-word;
}
#formDivPreviewer #formHeader {
  font-size: 11px;
  background-color: #fce68d;
  padding: 3px 0px 3px 10px;
  height: 18px;
}
.unhidden {
  display: block;
}
.hidden {
  display: none;
}
#formDivPreviewer ul {
  margin: 0;
  list-style-type: none;
}
#formName {
  float: left;
}
#secNum {
  float: right;
  padding-right: 15px;
}

.formDiv .formContent {
  padding: 3px 3px 3px 10px;
}
.formDiv .formContent .formGrouping {
  float: left;
  margin-right: 5px;
  width: 22%;
  font-size: 13px;
}

.formDiv .formContent .formGrouping .infoHead {
  font-weight: bold;
  float: left;
  width: 100%; /*change to 22% for sake of stuff in viewer */
  font-size: 13px;
}

.formDiv .formContent .formGrouping .info {
  margin-left: 15px;
  clear: left;
}
#formDivPreviewer .formContent {
  padding: 3px 3px 3px 10px;
}
#formDivPreviewer .formContent .formGrouping {
  float: left;
  margin-right: 5px;
  width: 189px;
  font-size: 11px;
}

#formDivPreviewer .formContent .formGrouping .infoHead {
  font-weight: bold;
  float: left;
  width: 100%;
  font-size: 12px;
}

#formDivPreviewer .formContent .formGrouping .info {
  margin-left: 15px;
  clear: left;
}

/***********************************************/
/* File Information Table                            */
/***********************************************/

table {
  border-collapse: separate;
}
.tableFile,
.tableFile2,
.tableSeries {
  margin: 0px;
  background: #ffffff;
  /* border: 1px solid #bcd6f8; */
  font-size: 13px;
  width: 99%;
}

.buttons {
  height: 14px;
  margin: 8px 0px 8px 0px;
}

.tableFile th,
.tableFile2 th,
.tableSeries th {
  text-align: left;
  /* background-color: #0d2239; */
  /* color: white; */
  font-weight: bold;
}

.tableFile .evenRow,
.tableFile2 .evenRow {
  /* background-color: rgba(0,0,0,0.03); #EEF4FD; */
}

/*
.tableFile tr:hover, .tableSeries tr:hover, .tableFile2 tr:hover {
	background-color: #F5F5EB;
}*/
.tableFile tr td,
.tableSeries tr td,
.tableFile2 tr td {
  border-bottom: 1px solid transparent; /* #F5F5EB; /*rgba(0, 0, 0, .03);*/
  border-top: 1px solid transparent;
}
.tableFile tr.evenRow td,
.tableSeries tr.evenRow td,
.tableFile2 tr.evenRow td {
  border-bottom: 1px solid #eef4fd; /* #F5F5EB; /*rgba(0, 0, 0, .03);*/
  border-top: 1px solid #eef4fd;
}
.tableFile tr:hover td,
.tableSeries tr:hover td,
.tableFile2 tr:hover td {
  /* border-bottom: 1px solid black; /* #F5F5EB; /*rgba(0, 0, 0, .03);*/
  /* border-top: 1px solid black; /* #F5F5EB; /*rgba(0, 0, 0, .03);*/
  background-color: rgb(243 244 246 / var(--tw-bg-opacity, 1));
}
/***********************************************/
/* Series/Classes Information Table                            */
/***********************************************/

.seriesClassTitle {
  font-size: 14px;
  font-weight: bold;
  padding: 20px 0px 0px 10px;
}

#seriesDiv {
  width: 100%;
  clear: both;
  margin-top: 10px;
  margin-right: 0px;
  margin-bottom: 0px;
  margin-left: 0px;
}

/*.tableSeries {
	margin: 0px;
	background:#FFFFFF;
	font-size: 12px;
	width: 100%
}*/

.tableSeries .CIKname {
  text-align: left;
  /* background-color: #bcd6f8; */
  font-size: 14px;
  font-weight: bold;
  padding-bottom: 2px;
}
.tableSeries .seriesName {
  text-align: left;
  /* background-color: #eef4fd; */
  font-size: 13px;
  font-weight: bold;
  padding-left: 25px;
}

.tableSeries .contractRow {
  font-size: 12px;
  /* background-image: url(../images/cellBorder.gif); */
  background-repeat: repeat-x;
  background-position: bottom;
  padding: 3px;
}

.tableSeries .classContract {
  text-align: right;
  padding-right: 35px;
  font-style: italic;
}

.tableSeries .classContractHead {
  font-weight: bold;
  /* background-color: #000; */
}

.tableSeries tr td.Status {
  font-size: 16px;
  font-weight: bold;
}
.tableSeries tr:hover td.Status {
  border-bottom: 1px solid transparent; /* #F5F5EB; /*rgba(0, 0, 0, .03);*/
  border-top: 1px solid transparent;
}

/***********************************************/
/* Search FORM Divs                            */
/***********************************************/

#searchFormDiv {
  padding: 7px;
  border: 1px solid #bcd2e9;
  margin-top: 8px;
  overflow: hidden;
  width: 99%;
}

#searchFormDiv #first_errorloc {
  float: left;

  width: 100%;
}

#searchFormDiv #second_errorloc {
  position: relative;

  width: 100%;

  float: left;
  padding-left: 50%;
}

#searchFormDiv #third_errorloc {
  position: relative;

  width: 100%;

  float: left;
  padding-left: 50%;
}

#searchFormDiv .searchFormFieldsLeft {
  float: left;
  width: 60%;
  margin-top: 10px;
  padding: 0px;
}

#searchFormDiv .searchFormFieldsRight {
  float: left;
  width: 40%;
  margin-top: 10px;
  padding: 0px;
}

#searchFormDiv .searchFormFields h4 {
  font-weight: bold;
  font-size: 12px;
  padding: 3px;
  display: block;
  line-height: 12px;
  margin-top: 0;
  margin-bottom: 3px;
}

#searchFormDiv .searchFormFields {
  float: left;
  margin-top: 2px;
  width: 49%;
  padding: 0px;
  margin-right: 7px;
}

#searchFormDiv .searchFormFields ul {
  clear: both;
  margin-top: 0px;
  padding-top: 0px;
}

#searchFormDiv .searchFormFields ul li {
  display: inline-block;
  /* background-image: url(../images/bullet.gif); */
  background-repeat: no-repeat;
  list-style-type: none;
  padding: 0px 0px 0px 30px;
  margin: 0 0 7px 0;
  text-align: left;
}

#xbrlLinks {
  padding: 0px 0px 0px 0px;
  margin: 0px 0px 0px 0px;
}

#xbrlLinks ul li {
  display: inline;
  list-style-type: none;
  padding: 0px 0px 0px 30px;
  margin: 0px;
  float: right;
  font-size: 10px;
}

/***********************************************/
/* Search Page LI                              */
/***********************************************/

.searchDiv {
  float: left;
  width: 36%;
  margin-top: 10px;
  padding: 0px;
}

.searchDiv ul {
  clear: both;
}

.searchDiv li {
  font-weight: bold;
  display: inline-block;
  /* background-image: url(../images/bullet.gif); */
  background-repeat: no-repeat;
  list-style-type: none;
  padding: 0 0 0 30px;
  margin: 0px;
  text-align: left;
}

.liDesc {
  display: block;
  font-size: 10px;
  font-style: italic;
}

.searchTips {
  margin-top: 5px;
  float: left;
  width: 150px;
  padding: 5px;
  font-size: 10px;
  border: 1px solid #a5c8f6;
}

.searchTipPhrase {
  border-bottom-width: 1px;
  border-bottom-style: solid;
  border-bottom-color: #6666cc;
  display: block;
  padding: 2px;
  clear: both;
}

.searchTipPhrasex a {
  text-decoration: none;
}

.searchTipsTitle {
  background-color: #003399;
  color: #ffffff;
  float: left;

  font-weight: bold;
  font-size: 12px;
  padding: 3px;
  width: 144px;
}

.xmlFeedLinksBox {
  float: right;
}

.xmlFeedLinks {
  display: block;
  font-size: 10px;
  text-align: right;
}

/***********************************************/
/* COMPANY SEARCH FORM FIELDS                              */
/***********************************************/

.companySearchForm {
  padding: 10px;
  margin: 0;
  background-color: #bcd6f8;
  border: 1px solid #9bc1f4;
}

.companySearchForm fieldset {
  border: solid 2px white;
  background-color: #e0ecfc;
  padding: 5px;
}

.companySearchForm .fieldset {
  border: solid 2px white;
  background-color: #e0ecfc;
  padding: 5px;

  min-height: 250px;

  _height: 250px;
}

.companySearchForm label {
  display: inline-block; /* block float the labels to left column, set a width */
  padding: 0;
  width: 150px;
  margin: 5px 0px 0px 0px; /* set top margin same as form input - textarea etc. elements */
  text-align: right;
}
label.companySearchFormTLA {
  display: inline-block;
  width: auto;
  padding: 0;
  margin: 5px 0px 0px 0px; /* set top margin same as form input - textarea etc. elements */
  text-align: left;
}

.companySearchForm .alignLeft {
  display: block; /* block float the labels to left column, set a width */
  float: left;
  width: 150px;
  padding: 0;
  margin: 5px 0px 0px 0px; /* set top margin same as form input - textarea etc. elements */
  text-align: right;
}

#reportDiv {
  width: auto;
}
.alignRight {
  display: block;
  margin: 5px 5px 0px 0px;
  font-weight: bold;
  text-align: left;

  float: left;

  width: auto;

  position: relative;
}

.companySearchForm .alignRightInput {
  display: block;
  padding: 0;
  margin: 5px 0px 0px 150px;
}

.companySearchForm .browse {
  padding: 0;
}

.companySearchForm input,
.companySearchForm textarea,
.companySearchForm select {
  /* display: inline; inline display must not be set or will hide submit buttons in IE 5x mac */
  width: auto; /* set width of form elements to auto-size, otherwise watch for wrap on resize */
  margin: 5px 0px 0px 10px;
  /* set margin on left of form elements rather than right of
                              label aligns textarea better in IE */
}

.companySearchForm small {
  display: block;
  font-style: italic;
  margin: 0px 0px 5px 160px; /* instructions/comments left margin set to align w/ right column inputs */
  padding: 1px 3px;
  font-size: 88%;
}

.companySearchForm .required {
  font-weight: bold;
} /* uses class instead of div, more efficient */

.companySearchForm br {
  clear: left; /* setting clear on inputs didn't work consistently, so brs added for degrade */
}

#help {
  clear: both;
}

.renderedRed {
  font-weight: bold;
  color: #993333;
}
.smallLink {
  font-size: 12px;

  font-weight: bold;
  margin: 0px 5px 0px 20px;
}
.italicText {
  margin: 10px;
  font-style: italic;
}

/***********************************************/
/* Search Results Page DIV                         */
/***********************************************/

.searchResultsDiv {
  margin: 0px;
}

.searchResultsDiv a {
  font-size: 10px;
}

.searchResultsDiv fieldset {
  padding: 7px;
  border: 1px solid #bcd2e9;
  margin-top: 8px;
}

.searchResultsDiv h1 {
  font-size: 14px;
  font-weight: bold;
  display: block;
  float: left;
  margin: 0px;
  padding-right: 0;
  padding-bottom: 0;
  padding-left: 0;
}

.filterWrap {
  float: left;
  margin: 0 10px 0 10px;
}

.filterWrap input,
.filterWrap select {
  font-size: 10px;
}

.searchResultsDiv label {
  font-weight: bold;
  float: left;
}

.searchResultsDiv input[type='text'] {
  width: 100px;
}

.searchResultsDiv input[type='radio'] {
  width: auto;
}

.searchResultsDiv select {
  width: auto;
}

/*.tableFile2 {
	margin: 0px;
	background:#FFFFFF;
	border: 1px solid #BCD6F8;
	font-size: 12px;
	width: 100%
}

.tableFile2 th {
	text-align: left;
	background-color:#BCD6F8;
}

.tableFile2 .evenRow {
	background-color: #EEF4FD;
}*/

.items {
  clear: left;
  float: left;
  font-size: 10px;
  margin: 10px 0 5px 0;
  padding: 0 0 0 20px;
}

.rightAlign {
  float: right;
  margin: 5px 0 5px 0;
}

.documents {
  font-size: 11px;
  padding: 5px;
}

.documents ol {
  font-size: 12px;
  padding: 5px;
  margin-top: 0;
  margin-right: 0;
  margin-bottom: 0;
  margin-left: 30px;
}

/***********************************************/
/* File Information TABS                              */
/***********************************************/
.TabbedPanels {
  margin: 0px;
  padding: 5px 0px 0px 0px;
}

.TabbedPanelsTabGroup {
  margin: 0px;
  padding: 0px;
  background-position: bottom;
  height: 35px;
}

.TabbedPanelsTab {
  position: relative;
  top: 1px;
  float: left;
  padding: 4px 10px;
  margin: 15px 1px 0px 0px;
  list-style: none;
  border: solid 1px #3f509d;
  -moz-user-select: none;
  -khtml-user-select: none;
  cursor: pointer;
  font-size: 12px;
  background-image: url(../images/tabsgif.gif);
}

.TabbedPanelsTabHover {
  background-image: url(../images/tabSelected.gif);
  color: #ffffff;
}

.TabbedPanelsTabSelected {
  border-bottom: 1px solid #3f509d;
  font-size: 12px;
  font-weight: bold;
  color: #fff;
  background-image: url(../images/tabSelected.gif);
}

.TabbedPanelsTab a {
  color: black;
  text-decoration: none;
  font-size: 10px;
}

.TabbedPanelsContentGroup {
  border: solid 1px #3f509d;
  background-color: #f5f5eb;
  clear: both;
}

.TabbedPanelsContentGroup2 {
  border: solid 1px #3f509d;
  background-color: #ffffff;
  clear: both;
}

.TabbedPanelsContent {
  padding: 0px 0px 4px 0px;
  font-size: 12px;
  margin: 0 2px 0px 5px;
  width: 100%;
  overflow: hidden;
}

.TabbedPanelsContentVisible {
}

.VTabbedPanels .TabbedPanelsTabGroup {
  float: left;
  width: 10em;
  height: 20em;
  background-color: #eee;
  position: relative;
  border: solid 1px #3f509d;
}

.VTabbedPanels .TabbedPanelsTab {
  float: none;
  margin: 0px;
  border-top: none;
  border-left: none;
  border-right: none;
}

.VTabbedPanels .TabbedPanelsTabSelected {
  border-bottom: solid 1px #3f509d;
  background-image: url(../images/tabSelected.gif);
}

.VTabbedPanels .TabbedPanelsContentGroup {
  clear: none;
  float: left;
  padding: 0px;
  width: 30em;
  height: 20em;
}

/***********************************************/
/* FOOTER DIV                             */

/***********************************************/

#footer {
  margin: 25px 20px 15px 20px;
  padding-bottom: 25px;
  font-size: 12px;
  clear: both;
}
#footer .currentURL {
  border-bottom: solid 1px #999999;
  padding-bottom: 10px;
  font-style: italic;
  display: block;
}

#footer .links {
  font-size: 11px;
  color: #3b4fae;
  float: left;
  margin-top: 10px;
  display: block;
}

#footer .modified {
  font-size: 11px;
  float: right;
  margin-top: 10px;
  display: block;
}

#footer .links a {
  text-decoration: none;
  color: #3b4fae;
}

#footer .links a:hover {
  text-decoration: none;
  color: #3b4fae;
}

#footer .links a:active {
  text-decoration: none;
  color: #3b4fae;
}

#footer .links a:visited {
  text-decoration: none;
  color: #3b4fae;
}

.companyMatch {
  font-weight: bold;
  color: #0066cc;
}

/* red link, underline on hover, similar to default links */
/* used on menu-level pages as main category links */
A.mainCat:link,
A.mainCat:visited,
A.mainCat {
  color: #005ea2;
  text-decoration: none;
}
A.mainCat:active {
  color: #f9d449;
}
A.mainCat:hover {
  color: #005ea2;
  text-decoration: underline;
}

A.xbrlviewer:link,
A.xbrlviewer:visited {
  color: #005ea2;
  text-decoration: none;
  font-size: 11px;
}

A.xbrlviewer:active,
A.xbrlviewer:hover {
  color: #005ea2;
  text-decoration: underline;
  font-size: 11px;
}

LI.helpful {
  padding-bottom: 20px;
}
/* === Base Typography === */
:root {
  /* Font Sizes */
  --font-xs: 0.75rem; /* 12px */
  --font-sm: 0.875rem; /* 14px */
  --font-md: 1rem; /* 16px */
  --font-lg: 1.25rem; /* 20px */
  --font-xl: 1.5rem; /* 24px */
  --font-xxl: 2rem; /* 32px */

  /* Modern Design Font Colors  */
  --color-text-primary: #212529;
  --color-text-secondary: #0071eb;
  --color-text-tertiary: #ffffff;
  --color-text-muted: #737373;
  --color-accent: #54278f;
  --color-error: #cc0000;
  --color-success: #2e7d32;
  --color-alt: #bf0023;

  /* === Text Utilities === */
  .text-primary {
    /*color: var(--color-text-primary)!imporant; */
    color: #212529;
  }

  .text-secondary {
    color: var(--color-text-secondary);
  }

  .text-muted {
    color: var(--color-text-muted);
  }

  .text-accent {
    color: var(--color-accent);
  }
  .text-alt {
    color: var(--color-alt);
  }

  .text-error {
    color: var(--color-error);
  }

  .text-success {
    color: var(--color-success);
  }

  .text-xs {
    font-size: var(--font-xs);
  }

  .text-sm {
    font-size: var(--font-sm);
  }

  .text-md {
    font-size: var(--font-md);
  }

  .text-lg {
    font-size: var(--font-lg);
  }

  .text-xl {
    font-size: var(--font-xl);
  }

  .text-xxl {
    font-size: var(--font-xxl);
  }
}
